Bug 1322626 - [XINPUT2] Cannot type into any window other than most recently opened window in firefox using twm
Summary: [XINPUT2] Cannot type into any window other than most recently opened window ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 22:42 UTC by Bryan Ischo
Modified: 2016-05-07 15:49 UTC (History)
4 users (show)

Fixed In Version: firefox-46.0-5.fc23 firefox-46.0.1-1.fc23 firefox-46.0.1-1.fc24 firefox-46.0-5.fc24 firefox-46.0.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-05 14:54:10 UTC


Attachments (Terms of Use)

Description Bryan Ischo 2016-03-30 22:42:12 UTC
Description of problem:

When I create a new window in Firefox, it is the only window which will take keyboard input.  Switching to other (previously opened windows) allows normal mouse interaction, but all keyboard events always go to the most-recently-opened window.  I also noticed that trying to open the preferences page in any window other than the most recently opened window opens that page in the most recently opened window.

Version-Release number of selected component (if applicable):

Fedora 24.  firefox-45.0.1-2.fc24.x86_64

How reproducible:

100%


Steps to Reproduce:
1. Start firefox while using TWM window manager.
2. Open a second window.
3. Try to type into a text box in the first window.  You cannot.

Actual results:

All keyboard input always goes to the most recently opened window regardless of which window currently has focus.

Expected results:

The window with focus will receive keyboard input.

Additional info:

I have also reported this on the firefox bugzilla when I at first thought it was a firefox flaw.  However, I tried 'stock' versions of firefox provided by mozilla.org and they all worked fine, including the 45.0.1 version matching the version used by Fedora 24.  I conclude that this bug is introduced by some patch that Fedora is applying when building firefox.

Link to that bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1260902

Comment 1 Martin Stransky 2016-03-31 07:14:28 UTC
Thanks, I'll try to reproduce it.

Comment 2 Martin Stransky 2016-04-05 10:59:11 UTC
The TWM is actually a great reproducer for the XINPUT2 issue, which is disabled by upstream Firefox.

Comment 3 Martin Stransky 2016-04-05 11:04:49 UTC
As a workaround you can remove "export MOZ_USE_XINPUT2=1" from /usr/bin/firefox.

Comment 4 Martin Stransky 2016-04-28 12:50:57 UTC
Fix is added to firefox-46.0-5

Comment 5 Bryan Ischo 2016-04-28 16:22:03 UTC
(In reply to Martin Stransky from comment #3)
> As a workaround you can remove "export MOZ_USE_XINPUT2=1" from
> /usr/bin/firefox.

I can confirm that this workaround does work to fix the problem.

Thank you very much!

Comment 6 Fedora Update System 2016-04-29 06:31:58 UTC
firefox-46.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a40ae993e

Comment 7 Fedora Update System 2016-04-29 06:32:03 UTC
firefox-46.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e4c126ab13

Comment 8 Fedora Update System 2016-04-29 06:32:07 UTC
firefox-46.0-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad6926a3c8

Comment 9 Fedora Update System 2016-04-29 17:21:47 UTC
firefox-46.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e4c126ab13

Comment 10 Fedora Update System 2016-04-30 02:23:00 UTC
firefox-46.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad6926a3c8

Comment 11 Fedora Update System 2016-04-30 02:23:39 UTC
firefox-46.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a40ae993e

Comment 12 Fedora Update System 2016-04-30 23:52:37 UTC
firefox-46.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-04 08:42:07 UTC
firefox-46.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2acbd739f

Comment 14 Fedora Update System 2016-05-04 08:42:11 UTC
firefox-46.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25843fda6b

Comment 15 Fedora Update System 2016-05-04 08:42:16 UTC
firefox-46.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b732d126f9

Comment 16 Fedora Update System 2016-05-04 14:28:58 UTC
firefox-46.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b732d126f9

Comment 17 Fedora Update System 2016-05-04 19:51:42 UTC
firefox-46.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2acbd739f

Comment 18 Fedora Update System 2016-05-04 19:52:39 UTC
firefox-46.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25843fda6b

Comment 19 Fedora Update System 2016-05-05 14:54:08 UTC
firefox-46.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-07 11:38:24 UTC
firefox-46.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-07 11:46:08 UTC
firefox-46.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-07 15:49:27 UTC
firefox-46.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.